FruxonDocs
ApiAgentrevisioncost

Gets aggregated cost for a specific agent revision or all revisions.

Returns cost information including total input/output costs, token usage, and execution count. Use `*` as the revision parameter to aggregate costs across all revisions.

GET
/v1/tenants/{tenant}/agents/{agent}/revisions/{revision}/cost

Path Parameters

agent*string

The unique identifier of the agent.

revision*string

The revision number, or * to aggregate across all revisions.

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/revisions/string/cost"
{
  "agentId": "string",
  "revision": 0,
  "inputCost": 0,
  "outputCost": 0,
  "totalCost": 0,
  "executionCount": 0,
  "inputTokens": 0,
  "outputTokens": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}